libzypp: zypp::base::logger::Loglinebuf Class Reference

libzypp 17.38.8

zypp::base::logger::Loglinebuf Class Reference
Inheritance diagram for zypp::base::logger::Loglinebuf:

## Public Member Functions
| Loglinebuf (std::string group_r, LogLevel level_r)
| Loglinebuf (const Loglinebuf &)=default
| Loglinebuf (Loglinebuf &&)=default
Loglinebuf & | operator= (const Loglinebuf &)=default
Loglinebuf & | operator= (Loglinebuf &&)=default
| ~Loglinebuf () override
void | tagSet (const char *fil_r, const char *fnc_r, int lne_r)

## Private Member Functions
std::streamsize | xsputn (const char *s, std::streamsize n) override
int | overflow (int ch=EOF) override
virtual int | writeout (const char *s, std::streamsize n)

## Private Attributes
std::string | _group
LogLevel | _level
const char * | _file
const char * | _func
int | _line
std::string | _buffer

## Detailed Description

Definition at line 421 of file LogControl.cc.

## Constructor & Destructor Documentation

## ◆ Loglinebuf() [1/3]

zypp::base::logger::Loglinebuf::Loglinebuf | ( | std::string | group_r,
|  | LogLevel | level_r )
| inline

Definition at line 425 of file LogControl.cc.

## ◆ Loglinebuf() [2/3]

zypp::base::logger::Loglinebuf::Loglinebuf | ( | const Loglinebuf & |  | ) |
| default

## ◆ Loglinebuf() [3/3]

zypp::base::logger::Loglinebuf::Loglinebuf | ( | Loglinebuf && |  | ) |
| default

## ◆ ~Loglinebuf()

zypp::base::logger::Loglinebuf::~Loglinebuf | ( |  | ) |
| inlineoverride

Definition at line 439 of file LogControl.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

Loglinebuf & zypp::base::logger::Loglinebuf::operator= | ( | const Loglinebuf & |  | ) |
| default

## ◆ operator=() [2/2]

Loglinebuf & zypp::base::logger::Loglinebuf::operator= | ( | Loglinebuf && |  | ) |
| default

## ◆ tagSet()

void zypp::base::logger::Loglinebuf::tagSet | ( | const char * | fil_r,
|  | const char * | fnc_r,
|  | int | lne_r )
| inline

Definition at line 446 of file LogControl.cc.

## ◆ xsputn()

std::streamsize zypp::base::logger::Loglinebuf::xsputn | ( | const char * | s,
|  | std::streamsize | n )
| inlineoverrideprivate

Definition at line 455 of file LogControl.cc.

## ◆ overflow()

int zypp::base::logger::Loglinebuf::overflow | ( | int | ch = EOF | ) |
| inlineoverrideprivate

Definition at line 458 of file LogControl.cc.

## ◆ writeout()

virtual int zypp::base::logger::Loglinebuf::writeout | ( | const char * | s,
|  | std::streamsize | n )
| inlineprivatevirtual

Definition at line 468 of file LogControl.cc.

## Member Data Documentation

## ◆ _group

std::string zypp::base::logger::Loglinebuf::_group
| private

Definition at line 493 of file LogControl.cc.

## ◆ _level

LogLevel zypp::base::logger::Loglinebuf::_level
| private

Definition at line 494 of file LogControl.cc.

## ◆ _file

const char* zypp::base::logger::Loglinebuf::_file
| private

Definition at line 495 of file LogControl.cc.

## ◆ _func

const char* zypp::base::logger::Loglinebuf::_func
| private

Definition at line 496 of file LogControl.cc.

## ◆ _line

int zypp::base::logger::Loglinebuf::_line
| private

Definition at line 497 of file LogControl.cc.

## ◆ _buffer

std::string zypp::base::logger::Loglinebuf::_buffer
| private

Definition at line 498 of file LogControl.cc.

The documentation for this class was generated from the following file:

- zypp-core/base/LogControl.cc